GET settings/get
GET/settings/get
Look up the ids of your configuration, such as orderTypes, to use in other requests.
When making API calls you will often are required to provide the correct id's when refering to configuration entities such as orderTypes. These id's can be obtained by using the GET settings/get method. It is recommended to cache this data locally and refresh daily. Among these settings the id's and names of the following entities are returned
| entity | description |
|---|---|
mainShippingMethods | (required for the shopapi/v3) |
shippingMethods | (deprecated, but still required for shopapi/v2 endpoints) |
orderTypes | |
returnReasons | |
returnShippingMethods | |
languages | |
countries | |
paymentMethods | (obsolete) |
Responses
- 200
- 400
- 401
A successful response from the server with the current client settings
400 Bad Request
A 400 Bad Request response indicates that the server cannot or will not process the request due to something that is perceived to be a client error (for example, malformed request syntax, invalid request message framing, or deceptive request routing).
The following are common scenarios that may lead to a 400 Bad Request response:
- Malformed syntax, for example when the request does not follow the expected syntax or structure.
- Invalid parameters included or unsupported parameters in the request.
- Missing or incomplete information that is required by the server to process the request successfully
- Request size limitations when the message exceeds the size limits set by the server.
- URL encoding issues, usually for query parameters in the request that contain characters that are not properly encoded.
- Server-side validation failures when the server determines that the request is invalid based on its business logic and business rules. In such cases, the server responds with a 400 error along with additional information explaining the validation failure.
When an no token or when an invalid or expired token is used the server responds with a 401 Unauthorized status code